

<template lang="pug">
    article
        a.image(:href="permlink")
            img(:src="thumbnail", alt='')
        h3 {{ article.title }}
        p {{ article.abstract }}
        ul.actions
            li
                a.button(:href="permlink") More

</template>

<script lang="ts">

    import Vue from "vue";

    export default Vue.component('article', {
        props: {
            article: {
                type: Object,
                required: true
            }
        },
        computed: {
            thumbnail() {
                return this.article.thumbnail_image || '/images/pic01.jpg';
            },
            permlink() {
                return `/${this.article.permlink}`;
            }
        }
    })

</script>
